org.apache.sling.hapi

## Interface MicrodataAttributeHelper

All Known Implementing Classes:
  EmptyAttributeHelperImpl, MicrodataAttributeHelperImpl

    @ProviderType
    public interface MicrodataAttributeHelper

### Method Summary

All Methods Instance Methods Abstract Methods
`Map<String,Map<String,String>>` `allItemPropMap()` Get a map of maps with the HTMl attributes for each property of the type defined through a new `MicrodataAttributeHelper`
`Map<String,String>` `allPropTypesMap()` Get a map of types for each type property.
`String` `itemprop(String propName)` Calls `itemprop(String, boolean)` with 'withType' true
`String` `itemprop(String propName, boolean withType)` Calls `itempropMap(String, boolean)` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'
`Map<String,String>` `itempropMap(String propName, boolean withType)` Get a map with the HTMl attributes for the given property of the type defined through a new `MicrodataAttributeHelper`
`String` `itemtype()` Calls `itemtypeMap()` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'
`Map<String,String>` `itemtypeMap()` Get a map with the HTMl attributes for a new item of the type defined through a new `MicrodataAttributeHelper` object

### Method Detail

#### itemtype

    String itemtype()

Calls `itemtypeMap()` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'

Returns:

#### itemtypeMap

    Map<String,String> itemtypeMap()

Get a map with the HTMl attributes for a new item of the type defined through a new `MicrodataAttributeHelper` object

The key is the HTMl attribute name and the value is the HTML attribute value

Returns:

#### itemprop

    String itemprop(String propName)

Calls `itemprop(String, boolean)` with 'withType' true

Parameters:
  `propName` -
Returns:

#### itemprop

    String itemprop(String propName,
                    boolean withType)

Calls `itempropMap(String, boolean)` and normalizes the map into a String of the form 'attr1="val1" attr2="val2"'

Parameters:
  `propName` -
  `withType` -
Returns:

#### itempropMap

    Map<String,String> itempropMap(String propName,
                                   boolean withType)

Get a map with the HTMl attributes for the given property of the type defined through a new `MicrodataAttributeHelper`

The key is the HTMl attribute name and the value is the HTML attribute value

Will through a `HApiException` runtime exception if the property propName does not exist for the type

Parameters:
  `propName` - the name of the property
  `withType` - whether to include the 'itemtype' attribute
Returns:

#### allItemPropMap

    Map<String,Map<String,String>> allItemPropMap()

Get a map of maps with the HTMl attributes for each property of the type defined through a new `MicrodataAttributeHelper`

The key is the property name and the value is a map of attributes like the one returned by `itempropMap(String, boolean)`

Returns:

#### allPropTypesMap

    Map<String,String> allPropTypesMap()

Get a map of types for each type property.

The key is the property name and the value is the type path identifier of that property

Returns: